Bug 819014 - blockIoTune modifies live xml even on failure
blockIoTune modifies live xml even on failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Eric Blake
Virtualization Bugs
:
Depends On: 770683
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 11:24 EDT by Eric Blake
Modified: 2012-06-20 02:57 EDT (History)
14 users (show)

See Also:
Fixed In Version: libvirt-0.9.10-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 770683
Environment:
Last Closed: 2012-06-20 02:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Eric Blake 2012-05-04 11:41:48 EDT
Modifying the live xml even when the monitor command fails is problematic, because you can end up with corrupted xml that will prevent a managedsave/restore cycle on the domain.  The fix is a one-liner (move the change to the live xml to occur after the check for error).
Comment 2 Eric Blake 2012-05-04 11:59:32 EDT
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2012-May/msg00322.html
Comment 6 dyuan 2012-05-11 05:04:16 EDT
Verified PASS with libvirt-0.9.10-18.el6.

# virsh blkdeviotune xp hda --total_bytes_sec 1000
error: Unable to change block I/O throttle
error: unsupported configuration: block I/O throttling not supported with this QEMU binary

# virsh dumpxml xp
...
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2' cache='none'/>
      <source file='/var/lib/libvirt/images/winXP-32-virtio.qcow2'/>
      <target dev='hda' bus='ide'/>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
...

Reproduced it with libvirt-0.9.10-16.el6.

# virsh blkdeviotune xp hda --total_bytes_sec 1000
error: Unable to change block I/O throttle
error: internal error Unexpected error

# virsh dumpxml xp|grep disk -A 10
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2' cache='none'/>
      <source file='/var/lib/libvirt/images/winXP-32-virtio.qcow2'/>
      <target dev='hda' bus='ide'/>
      <iotune>
        <total_bytes_sec>1000</total_bytes_sec>
      </iotune>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
Comment 8 errata-xmlrpc 2012-06-20 02:57:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html

Note You need to log in before you can comment on or make changes to this bug.